org.apache.hc.core5.http.nio.command

## Class RequestExecutionCommand

- java.lang.Object
- - org.apache.hc.core5.http.nio.command.ExecutableCommand
  - - org.apache.hc.core5.http.nio.command.RequestExecutionCommand

- All Implemented Interfaces:
    Cancellable, Command

      @Internal
      public final class RequestExecutionCommand
      extends ExecutableCommand

  Request execution command.
  Since:
    5.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hc.core5.reactor.Command

      `Command.Priority`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler, HandlerFactory<AsyncPushConsumer> pushHandlerFactory, CancellableDependency cancellableDependency, HttpContext context)`
    `RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler, HandlerFactory<AsyncPushConsumer> pushHandlerFactory, HttpContext context)`
    `RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler, HttpContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()` Cancels the ongoing operation or process.
    `void` | `failed(Exception ex)`
    `CancellableDependency` | `getCancellableDependency()`
    `HttpContext` | `getContext()`
    `AsyncClientExchangeHandler` | `getExchangeHandler()`
    `HandlerFactory<AsyncPushConsumer>` | `getPushHandlerFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestExecutionCommand

          public RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler,
                                         HandlerFactory<AsyncPushConsumer> pushHandlerFactory,
                                         CancellableDependency cancellableDependency,
                                         HttpContext context)

    - #### RequestExecutionCommand

          public RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler,
                                         HandlerFactory<AsyncPushConsumer> pushHandlerFactory,
                                         HttpContext context)

    - #### RequestExecutionCommand

          public RequestExecutionCommand(AsyncClientExchangeHandler exchangeHandler,
                                         HttpContext context)

  - ### Method Detail

    - #### getExchangeHandler

          public AsyncClientExchangeHandler getExchangeHandler()

    - #### getPushHandlerFactory

          public HandlerFactory<AsyncPushConsumer> getPushHandlerFactory()

    - #### getCancellableDependency

          public CancellableDependency getCancellableDependency()

      Specified by:
        `getCancellableDependency` in class `ExecutableCommand`

    - #### getContext

          public HttpContext getContext()

    - #### failed

          public void failed(Exception ex)

      Specified by:
        `failed` in class `ExecutableCommand`

    - #### cancel

          public boolean cancel()

      Description copied from interface: `Cancellable`
      Cancels the ongoing operation or process.
      Returns:
        `true` if the operation or process has been cancelled as a result of this method call or `false` if it has already been cancelled or not started.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.